---
title: Get
url: https://www.tines.com/docs/api/stories/story-versions/get/
updated: 2023-12-20T20:29:02+00:00
description: Retrieve a story version.
---

*[tines.com](https://www.tines.com/llms.txt) › [Docs](https://www.tines.com/llms.txt) › [Tines API](https://www.tines.com/llms.txt) › [Stories](https://www.tines.com/llm/docs/api/stories.md) › [Story versions](https://www.tines.com/llm/docs/api/stories/story-versions.md)*

# Get

*[View on tines.com](https://www.tines.com/docs/api/stories/story-versions/get/)*

## Description

Retrieve a story version.

## Request

HTTP Method: **GET**

| Path Parameter | Description                              |
| -------------- | ---------------------------------------- |
| story_id       | The ID of the story.                     |
| version_id     | The ID of the story version to retrieve. |

```bash
curl -X GET \
 https://<tenant-domain>/api/v1/stories/<<story_id>>/versions/<<version_id>> \
  -H 'content-type: application/json' \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>'
```

## Response

A successful request will return the JSON object describing the story version.

### Field description

| Parameter   | Description                             |
| ----------- | --------------------------------------- |
| id          | story version id.                       |
| name        | story version name.                     |
| description | story version description.              |
| timestamp   | The time the story version was created. |
| export_file | The export file for the story version.  |

<!-- cspell:disable -->

### Sample response

```json
{
  "id": 889,
  "name": "Story version 1",
  "description": "",
  "timestamp": "2023-11-13T11:16:05Z",
  "export_file": {
    "schema_version": 18,
    "standard_lib_version": 38,
    "action_runtime_version": 4,
    "name": "Story 7",
    "description": "Example export for an empty story",
    "guid": "a177fea37b6ffd9d52fb4b27e635dbb6",
    "slug": "story_7",
    "agents": [],
    "diagram_notes": [],
    "links": [],
    "diagram_layout": "{}",
    "send_to_story_enabled": false,
    "entry_agent_guid": null,
    "exit_agent_guids": [],
    "exit_agent_guid": null,
    "api_entry_action_guids": [],
    "api_exit_action_guids": [],
    "keep_events_for": 604800,
    "reporting_status": true,
    "send_to_story_access": null,
    "story_library_metadata": {},
    "monitor_failures": false,
    "form": null,
    "synchronous_webhooks_enabled": false,
    "forms": [],
    "pages": [],
    "tags": [],
    "time_saved_unit": "minutes",
    "time_saved_value": 0,
    "origin_story_identifier": "cloud:93b6b6f3c7c8d824afc9cb6d0b32454c:a177fea37b6ffd9d52fb4b27e635dbb6",
    "integration_product": null,
    "integration_vendor": null,
    "exported_at": "2023-11-13T11:25:48Z",
    "icon": ":clipboard:",
    "integrations": []
  }
}
```

<!-- cspell:enable -->
